%global pypi_name pandas-datareader
%define gitdate 20231024
%define gitcommit a1cf7a20fe03dd63e930fa5ca1311a57897c9ddd

%global common_description                                                   \
Data readers extracted from the pandas codebase, should be compatible with   \
recent pandas versions.

Name:       python-%{pypi_name}
Version:    0.10.0
Release:    %mkrel %{gitdate}.2
Summary:    Data readers from the pandas codebase
License:    BSD
Group:      Development/Python

URL: https://github.com/pydata/pandas-datareader
Source0:   https://github.com/pydata/pandas-datareader/archive/%{pypi_name}.tar.xz

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: git

%description
%{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

# # For testing
BuildRequires: python3-pytest
# BuildRequires: python3-numpy
# BuildRequires: python3-pandas
# BuildRequires: python3-requests
BuildRequires: python3-wrapt

#Requires: python3-requests-file
#Requires: python3-requests-ftp

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pandas_datareader

rm -Rf %{buildroot}%{python3_sitelib}/docs

%check
# Avoid writing bad pyc files during testing
export PYTHONDONTWRITEBYTECODE=1
export PYTEST_ADDOPTS='-p no:cacheprovider'
# Run tests in source code dir, some tests are not installed

pushd %{buildroot}/%{python3_sitelib}
 pytest-%{python3_version} -v pandas_datareader || :
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md


%changelog
* Sun Mar 02 2025 wally <wally> 0.10.0-20231024.2.mga10
+ Revision: 2158462
- rebuild for python3.13

* Mon Mar 04 2024 papoteur <papoteur> 0.10.0-20231024.1.mga10
+ Revision: 2047468
- git snapshot
- use pyproject macros

* Tue Mar 29 2022 umeabot <umeabot> 0.10.0-3.mga9
+ Revision: 1832171
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 0.10.0-2.mga9
+ Revision: 1781388
- update to python 3.10

* Thu Oct 21 2021 joequant <joequant> 0.10.0-1.mga9
+ Revision: 1752431
- update to 0.10.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 0.9.0-2.mga9
+ Revision: 1707298
- rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 0.9.0-1.mga8
+ Revision: 1660569
- update to 0.9.0

* Wed Jun 10 2020 joequant <joequant> 0.8.0-1.mga8
+ Revision: 1591638
- imported package python-pandas-datareader

